package cz.moneta.test.dsl.kasanova.components;

import static cz.moneta.test.dsl.kasanova.components.KSNMainMenu.ROOT_MENU;

import cz.moneta.test.dsl.kasanova.KSNPageFlow;
import cz.moneta.test.dsl.kasanova.KSNUtils;
import cz.moneta.test.harness.support.web.Builder;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Lookup;
import cz.moneta.test.harness.support.web.Select;
import cz.moneta.test.harness.support.web.SwitchToFrame;
import cz.moneta.test.harness.support.web.TypeInto;
import cz.moneta.test.harness.support.web.Until;
import cz.moneta.test.harness.support.web.Wait;

@Wait(value = ROOT_MENU, by = Lookup.XPATH, until=Until.PRESENT_IN_DOM)
public interface KSNMainMenu extends KSNPageFlow<KSNMainMenu>, KSNUtils<KSNMainMenu>, Builder {
    
    /** ---------------- SELECTING FOR FUNCTIONS ---------------- */
    
    String ROOT_MENU = "//div[@id='root_menu']";
    String MA_ACC_NUMBER = "//input[@id='MANumber']";
    String CA_ACC_NUMBER = "//input[@id='CANaccNumber']";
    String WU_NUMBER = "//div[@id='divWUNumber']";
    String NEXT_BUTTON = "//button[@id='nextbtn']";
    String SMENA_NEXT_BUTTON = "//div[@id='div1Change']//button[text()='Pokračovat']";
    String TRX_CUR_SELECT = "//select[@id='currencysel']";    
    String TRX_CUR_TILL_TRANS_SELECT = "//select[@id='currencyTillTrans']";
    String HK_ACC_NAME_SELECT = "//select[@id='HKAccounts']";
    String HK2_ACC_NAME_SELECT = "//select[@id='CHKAccounts']";
    String DEBET_ACC_NUMBER_SHOW = "//input[@id='debetAccNumber_show']";
    String CREDIT_ACC_NUMBER_SHOW = "//input[@id='creditAccNumber_show']";
    String CHECKBOX_KREDIT_HK = "credit3";
    String CHECKBOX_DEBET_HK = "debet3";
    String IFRAME = "//iframe[@id='ifr']";
    String START_DAY_TILL_ID = "//input[@name='tillId']";
    String BTN_CONTINUE = "//button[text()='Pokračovat']";

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = DEBET_ACC_NUMBER_SHOW, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @TypeInto(value = DEBET_ACC_NUMBER_SHOW, by = Lookup.XPATH)
    KSNMainMenu debet_AccountNumber(String accountNumber);

    @TypeInto(value = CREDIT_ACC_NUMBER_SHOW, by = Lookup.XPATH)
    KSNMainMenu credit_AccountNumber(String accountNumber);

    @Click(value = CHECKBOX_KREDIT_HK, by = Lookup.ID)
    KSNMainMenu clickKreditHlKnihaCheckbox();

    @Click(value = CHECKBOX_DEBET_HK, by = Lookup.ID)
    KSNMainMenu clickDebetHlKnihaCheckbox();

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = MA_ACC_NUMBER, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @TypeInto(value = MA_ACC_NUMBER, by = Lookup.XPATH)
    KSNMainMenu MA_AccountNumber(String accountNumber);
    
    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = CA_ACC_NUMBER, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @TypeInto(value = CA_ACC_NUMBER, by = Lookup.XPATH)
    KSNMainMenu CA_AccountNumber(String accountNumber);

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = WU_NUMBER, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    KSNMainMenu WUNumber();

    @Select(value = TRX_CUR_SELECT, by = Lookup.XPATH)
    KSNMainMenu Currency(String option);

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = TRX_CUR_TILL_TRANS_SELECT, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @Select(value = TRX_CUR_TILL_TRANS_SELECT, by = Lookup.XPATH)
    KSNMainMenu CurrencyTillTrans(String option);

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = HK_ACC_NAME_SELECT, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @Select(value = HK_ACC_NAME_SELECT, by = Lookup.XPATH)
    KSNMainMenu HK_AccountNameSelect(String option);

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = HK2_ACC_NAME_SELECT, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @Select(value = HK2_ACC_NAME_SELECT, by = Lookup.XPATH)
    KSNMainMenu HK2_AccountNameSelect(String option);

    @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
    @Wait(value = START_DAY_TILL_ID, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
    @TypeInto(value = START_DAY_TILL_ID, by = Lookup.XPATH)
    KSNMainMenu fillTillId(String option);

/** ------------------------------------------------------------------------------------------------------------------------------------------- **/    
    
    /** ---------------- SECTION A ---------------- **/
    
    String MENU_0A_BUTTON = "//button[text()='Administrace']";
    @Click(value = MENU_0A_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSectionA();
    
        /** ---- SUB SECTION A1 ---- **/
    
        String MENU_0A_SUBMENU_01_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Uživatelé']";
        @Click(value = MENU_0A_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA1();
        
            /** ---- FUNCTION A11 ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_01_BUTTON = "//button[text()='Přidat uživatele']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA11();
            
            /** ---- FUNCTION A12 ---- **/

            String MENU_0A_SUBMENU_01_SUBMENU_02_BUTTON = "//button[text()='Seznam uživatelů']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA12();
            
            /** ---- FUNCTION A13 ---- **/
            
            String MENU_0A_SUBMENU_01_SUBMENU_03_BUTTON = "//button[text()='Seznam přihlášených uživatelů']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_03_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA13();
            
            /** ---- FUNCTION A14 ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_04_BUTTON = "//button[text()='Reset hesla']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_04_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA14();
            
            /** ---- FUNCTION A15 ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_05_BUTTON = "//button[text()='Potvrzení uzávěrky']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_05_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA15();
            
            /** ---- FUNCTION A16 ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_06_BUTTON = "//button[text()='Vyjmutí transakcí z AZT']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_06_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA16();
            
            /** ---- FUNCTION A17 ---- **/
    
            String MENU_0A_SUBMENU_01_SUBMENU_07_BUTTON = "//button[text()='Aktivní pokladny']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_07_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA17();
            
            /** ---- FUNCTION A18 ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_08_BUTTON = "//button[text()='Log - override flag']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_08_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA18();
            
            /** ---- FUNCTION A19 ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_09_BUTTON = "//button[text()='Seznam nepoužívaných účtů']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_09_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA19();
            
            /** ---- FUNCTION A1A ---- **/
            
            String MENU_0A_SUBMENU_01_SUBMENU_0A_BUTTON = "//button[text()='Potvrzení nespárovaných odvodů']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_0A_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA1A();
            
            /** ---- FUNCTION A1B ---- **/
        
            String MENU_0A_SUBMENU_01_SUBMENU_0B_BUTTON = "//button[text()='Povolení synchronizace nominálů']";
            @Click(value = MENU_0A_SUBMENU_01_SUBMENU_0B_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA1B();           
            
        /** ---- SUB SECTION A2 ---- **/    
            
        String MENU_0A_SUBMENU_02_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Skupiny']";
        @Click(value = MENU_0A_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA2();
        
            /** ---- FUNCTION A21 ---- **/
        
            String MENU_0A_SUBMENU_02_SUBMENU_01_BUTTON = "//button[text()='Přidat skupinu']";
            @Click(value = MENU_0A_SUBMENU_02_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA21();

            /** ---- FUNCTION A22 ---- **/
            
            String MENU_0A_SUBMENU_02_SUBMENU_02_BUTTON = "//button[text()='Seznam skupin']";
            @Click(value = MENU_0A_SUBMENU_02_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA22();           
            
        /** ---- SUB SECTION A3 ---- **/
            
        String MENU_0A_SUBMENU_03_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Změna parametrů']";
        @Click(value = MENU_0A_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA3();
        
            /** ---- FUNCTION A31 ---- **/
        
            String MENU_0A_SUBMENU_03_SUBMENU_01_BUTTON = "//button[text()='Aplikační parametry']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA31();
            
            /** ---- FUNCTION A32 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_02_BUTTON = "//button[text()='Security parametry']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA32();
            
            /** ---- FUNCTION A33 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_03_BUTTON = "//button[text()='Číselník účtů hlavní knihy']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_03_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA33();
            
            /** ---- FUNCTION A34 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_04_BUTTON = "//button[text()='Číselník nákladových středisek HK']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_04_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA34();
            
            /** ---- FUNCTION A35 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_05_BUTTON = "//button[text()='Nastavení parametrů zálohovaní']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_05_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA35();
            
            /** ---- FUNCTION A36 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_06_BUTTON = "//button[text()='Číselník kódů bank']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_06_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA36();
            
            /** ---- FUNCTION A37 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_07_BUTTON = "//button[text()='Číselník symbolů']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_07_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA37();
            
            /** ---- FUNCTION A38 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_08_BUTTON = "//button[text()='Nastavení limitů poplatků']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA38();
            
            /** ---- FUNCTION A39 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_09_BUTTON = "//button[text()='Výčetka']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_09_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA39();
            
            /** ---- FUNCTION A30 ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_00_BUTTON = "//button[text()='Účty MTS a Leasing']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_00_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA30();
            
            /** ---- FUNCTION A3A ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0A_BUTTON = "//button[text()='Poplatky za mince/bankovky']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0A_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3A();
            
            /** ---- FUNCTION A3B ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0B_BUTTON = "//button[text()='Technické účty']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0B_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3B();
            
            /** ---- FUNCTION A3C ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0C_BUTTON = "//button[text()='Účty s nepovoleným výběrem']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0C_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3C();
            
            /** ---- FUNCTION A3D ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0D_BUTTON = "//button[text()='Účty podílových fondů']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0D_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3D();
            
            /** ---- FUNCTION A3E ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0E_BUTTON = "//button[text()='Nastavení poplatkových plánů']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0E_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3E();
            
            /** ---- FUNCTION A3F ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0F_BUTTON = "//button[text()='Účty s nepovoleným vkladem']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0F_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3F();
            
            /** ---- FUNCTION A3G ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0G_BUTTON = "//button[text()='Nastavení nepoplatkovaných účtů']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0G_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3G();
            
            /** ---- FUNCTION A3H ---- **/
            
            String MENU_0A_SUBMENU_03_SUBMENU_0H_BUTTON = "//button[text()='Nastavení Měn pro OM']";
            @Click(value = MENU_0A_SUBMENU_03_SUBMENU_0H_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA3H();
                                                
        /** ---- SUB SECTION A4 ---- **/
            
        String MENU_0A_SUBMENU_04_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Systémové akce']";
        @Click(value = MENU_0A_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA4();
        
            /** ---- FUNCTION A41 ---- **/

            String MENU_0A_SUBMENU_04_SUBMENU_01_BUTTON = "//button[text()='Změna systémové zprávy']";
            @Click(value = MENU_0A_SUBMENU_04_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA41();
            
            /** ---- FUNCTION A42 ---- **/
            
            String MENU_0A_SUBMENU_04_SUBMENU_02_BUTTON = "//button[text()='Restartovat']";
            @Click(value = MENU_0A_SUBMENU_04_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA42();
            
            /** ---- FUNCTION A43 ---- **/

            String MENU_0A_SUBMENU_04_SUBMENU_03_BUTTON = "//button[text()='Načíst kurzy z ICBS']";
            @Click(value = MENU_0A_SUBMENU_04_SUBMENU_03_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA43();           
            
        /** ---- SUB SECTION A5 ---- **/
            
        String MENU_0A_SUBMENU_05_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Audit']";
        @Click(value = MENU_0A_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA5();
        
            /** ---- FUNCTION A51 ---- **/
        
            String MENU_0A_SUBMENU_05_SUBMENU_01_BUTTON = "//button[text()='Změna systémové zprávy']";
            @Click(value = MENU_0A_SUBMENU_05_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA51();

            /** ---- FUNCTION A52 ---- **/
            
            String MENU_0A_SUBMENU_05_SUBMENU_02_BUTTON = "//button[text()='Restartovat']";
            @Click(value = MENU_0A_SUBMENU_05_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA52();

            /** ---- FUNCTION A53 ---- **/
            
            String MENU_0A_SUBMENU_05_SUBMENU_03_BUTTON = "//button[text()='Načíst kurzy z ICBS']";
            @Click(value = MENU_0A_SUBMENU_05_SUBMENU_03_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA53();
                                    
        /** ---- SUB SECTION A6 ---- **/
            
        String MENU_0A_SUBMENU_06_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Pokladníci']";
        @Click(value = MENU_0A_SUBMENU_06_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA6();
        
            /** ---- FUNCTION A61 ---- **/
        
            String MENU_0A_SUBMENU_06_SUBMENU_01_BUTTON = "//button[text()='Změna systémové zprávy']";
            @Click(value = MENU_0A_SUBMENU_06_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA61();

            /** ---- FUNCTION A62 ---- **/
            
            String MENU_0A_SUBMENU_06_SUBMENU_02_BUTTON = "//button[text()='Restartovat']";
            @Click(value = MENU_0A_SUBMENU_06_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunctionA62();
            

        /** ---- SUB SECTION A7 ---- **/    
        String MENU_0A_SUBMENU_07_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Odkazy z pokladen']";
        @Click(value = MENU_0A_SUBMENU_07_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA7();

        /** ---- SUB SECTION A8 ---- **/
        String MENU_0A_SUBMENU_08_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Nastavení SignPadů']";
        @Click(value = MENU_0A_SUBMENU_08_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA8();

        /** ---- SUB SECTION A9 ---- **/
        String MENU_0A_SUBMENU_09_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Nastavení Recyklačních pokladen']";
        @Click(value = MENU_0A_SUBMENU_09_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionA9();

        /** ---- SUB SECTION A0 ---- **/
        String MENU_0A_SUBMENU_0A_BUTTON = "//td[text()='Administrace']//ancestor::tbody//button[text()='Korekce nominálů Trezor <-> RP']";
        @Click(value = MENU_0A_SUBMENU_0A_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSectionAA();
        
/** ------------------------------------------------------------------------------------------------------------------------------------------- **/     
        
    /** ---------------- SECTION 1 ---------------- **/ 
                
    String MENU_01_BUTTON = "//button[text()='Vklad v měně účtu']";  
    @Click(value = MENU_01_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection1();
              
        /** ---- FUNCTION 11 ---- **/
    
        String MENU_01_SUBMENU_01_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='BÚ']"; 
        @Click(value = MENU_01_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction11();
        
        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)      
        KSN11Page EnterFunction11();
        
        /** ---- FUNCTION 12 ---- **/
        
        String MENU_01_SUBMENU_02_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='VK']";
        @Click(value = MENU_01_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction12();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN12Page enterFunction12();

        /** ---- FUNCTION 13 ---- **/
          
        String MENU_01_SUBMENU_03_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='TV']";
        @Click(value = MENU_01_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction13();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN13Page enterFunction13();

        /** ---- FUNCTION 14 ---- **/
          
        String MENU_01_SUBMENU_04_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='HK']";
        @Click(value = MENU_01_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction14();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN14Page EnterFunction14();

        /** ---- FUNCTION 15 ---- **/
        
        String MENU_01_SUBMENU_05_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='Hypotéka (dříve WHB)']";
        @Click(value = MENU_01_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction15();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN15Page enterFunction15();

        /** ---- FUNCTION 16 ---- **/
        
        String MENU_01_SUBMENU_06_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='Odvod uzavřenými obaly']";
        @Click(value = MENU_01_SUBMENU_06_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction16();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN16Page enterFunction16();

        /** ---- FUNCTION 17 ---- **/
        
        String MENU_01_SUBMENU_07_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='Vklad na jinou banku']";
        @Click(value = MENU_01_SUBMENU_07_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction17();
        
        /** ---- FUNCTION 18 ---- **/
        
        String MENU_01_SUBMENU_08_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='Hromadný vklad']";
        @Click(value = MENU_01_SUBMENU_08_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction18();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN18Page enterFunction18();

        /** ---- FUNCTION 19 ---- **/

        String MENU_01_SUBMENU_09_BUTTON = "//td[text()='Vklad v měně účtu']//ancestor::tbody//button[text()='MONETA - Stavební spořitelna']";
        @Click(value = MENU_01_SUBMENU_09_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction19();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN19Page enterFunction19();

/** ------------------------------------------------------------------------------------------------------------------------------------------- **/     
        
    /** ---------------- SECTION 2 ---------------- **/    
        
    String MENU_02_BUTTON = "//button[text()='Vklad v jiné měně']";
    @Click(value = MENU_02_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection2();
    
        /** ---- FUNCTION 21 ---- **/

        String MENU_02_SUBMENU_01_BUTTON = "//td[text()='Vklad v jiné měně']//ancestor::tbody//button[text()='BÚ']";
        @Click(value = MENU_02_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction21();   
        
        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)      
        KSN21Page EnterFunction21();
        
        /** ---- FUNCTION 22 ---- **/
        
        String MENU_02_SUBMENU_02_BUTTON = "//td[text()='Vklad v jiné měně']//ancestor::tbody//button[text()='HK']";
        @Click(value = MENU_02_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction22();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN22Page EnterFunction22();

/** ------------------------------------------------------------------------------------------------------------------------------------------- **/

    /** ---------------- SECTION 3 ---------------- **/
        
    String MENU_03_BUTTON = "//button[text()='Výběr v měně účtu']";
    @Click(value = MENU_03_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection3();
    
        /** ---- FUNCTION 31 ---- **/   

        String MENU_03_SUBMENU_01_BUTTON = "//td[text()='Výběr v měně účtu']//ancestor::tbody//button[text()='BÚ']";
        @Click(value = MENU_03_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction31();
        
        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN31Page EnterFunction31();
        
        /** ---- FUNCTION 32 ---- **/

        String MENU_03_SUBMENU_02_BUTTON = "//td[text()='Výběr v měně účtu']//ancestor::tbody//button[text()='Šekem']";
        @Click(value = MENU_03_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction32();
        
        /** ---- FUNCTION 33 ---- **/

        String MENU_03_SUBMENU_03_BUTTON = "//td[text()='Výběr v měně účtu']//ancestor::tbody//button[text()='VK']";
        @Click(value = MENU_03_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction33();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN33Page enterFunction33();

        /** ---- FUNCTION 34 ---- **/

        String MENU_03_SUBMENU_04_BUTTON = "//td[text()='Výběr v měně účtu']//ancestor::tbody//button[text()='HK']";
        @Click(value = MENU_03_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction34();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN34Page EnterFunction34();

        /** ---- FUNCTION 35 ---- **/

        String MENU_03_SUBMENU_05_BUTTON = "//td[text()='Výběr v měně účtu']//ancestor::tbody//button[text()='Výplata z FPV']";
        @Click(value = MENU_03_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction35();
        
        /** ---- FUNCTION 36 ---- **/

        String MENU_03_SUBMENU_06_BUTTON = "//td[text()='Výběr v měně účtu']//ancestor::tbody//button[text()='BÚ - třetí osoba']";
        @Click(value = MENU_03_SUBMENU_06_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction36();
        
        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)      
        KSN36Page EnterFunction36();
        
/** ------------------------------------------------------------------------------------------------------------------------------------------- **/
        
    /** ---------------- SECTION 4 ---------------- **/

    String MENU_04_BUTTON = "//button[text()='Výběr v jiné měně']";
    @Click(value = MENU_04_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection4();
    
        /** ---- FUNCTION 41 ---- **/
    
        String MENU_04_SUBMENU_01_BUTTON = "//td[text()='Výběr v jiné měně']//ancestor::tbody//button[text()='BÚ']";
        @Click(value = MENU_04_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction41();
        
        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN41Page EnterFunction41();
        
        /** ---- FUNCTION 42 ---- **/

        String MENU_04_SUBMENU_02_BUTTON = "//td[text()='Výběr v jiné měně']//ancestor::tbody//button[text()='HK']";
        @Click(value = MENU_04_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction42();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN42Page EnterFunction42();

        /** ---- FUNCTION 43 ---- **/

        String MENU_04_SUBMENU_03_BUTTON = "//td[text()='Výběr v jiné měně']//ancestor::tbody//button[text()='BÚ - třetí osoba']";
        @Click(value = MENU_04_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction43();
        
        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN43Page EnterFunction43();
        
/** ------------------------------------------------------------------------------------------------------------------------------------------- **/

    /** ---------------- SECTION 5 ---------------- **/    

    String MENU_05_BUTTON = "//button[text()='Zrušení účtu']";
    @Click(value = MENU_05_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection5();
    
        /** ---- FUNCTION 51 ---- **/
    
        String MENU_05_SUBMENU_01_BUTTON = "//td[text()='Zrušení účtu']//ancestor::tbody//button[text()='BÚ']";
        @Click(value = MENU_05_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction51();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN51Page enterFunction51();

        /** ---- FUNCTION 52 ---- **/

        String MENU_05_SUBMENU_02_BUTTON = "//td[text()='Zrušení účtu']//ancestor::tbody//button[text()='VK']";
        @Click(value = MENU_05_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction52();
        
        /** ---- FUNCTION 53 ---- **/

        String MENU_05_SUBMENU_03_BUTTON = "//td[text()='Zrušení účtu']//ancestor::tbody//button[text()='TV']";
        @Click(value = MENU_05_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction53();
        

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN53Page EnterFunction53();

/** ------------------------------------------------------------------------------------------------------------------------------------------- **/
        
    /** ---------------- SECTION 6 ---------------- **/  

    String MENU_06_BUTTON = "//button[text()='Směnárna']";
    @Click(value = MENU_06_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection6();
    
        /** ---- FUNCTION 61 ---- **/

        String MENU_06_SUBMENU_01_BUTTON = "//td[text()='Směnárna']//ancestor::tbody//button[text()='Nákup valut bankou']";
        @Click(value = MENU_06_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction61();

        @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
        @Wait(value = SMENA_NEXT_BUTTON, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
        @Click(value = SMENA_NEXT_BUTTON, by = Lookup.XPATH)
        KSN61Page enterFunction61();

        /** ---- FUNCTION 62 ---- **/

        String MENU_06_SUBMENU_02_BUTTON = "//td[text()='Směnárna']//ancestor::tbody//button[text()='Prodej valut bankou']";
        @Click(value = MENU_06_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction62();

        @SwitchToFrame(value = IFRAME, by = Lookup.XPATH)
        @Wait(value = SMENA_NEXT_BUTTON, by = Lookup.XPATH, until = Until.PRESENT_IN_DOM)
        @Click(value = SMENA_NEXT_BUTTON, by = Lookup.XPATH)
        KSN62Page enterFunction62();

        /** ---- FUNCTION 63 ---- **/

        String MENU_06_SUBMENU_03_BUTTON = "//td[text()='Směnárna']//ancestor::tbody//button[text()='Konverze valut']";
        @Click(value = MENU_06_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction63();
        
        /** ---- FUNCTION 64 ---- **/

        String MENU_06_SUBMENU_04_BUTTON = "//td[text()='Směnárna']//ancestor::tbody//button[text()='Nákup valut v prekluzi bankou']";
        @Click(value = MENU_06_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction64();
        
/** ------------------------------------------------------------------------------------------------------------------------------------------- **/
        
    /** ---------------- SECTION 7 ---------------- **/  

    String MENU_07_BUTTON = "//button[text()='Bezhotovostní převod']";  
    @Click(value = MENU_07_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection7();
       
        /** ---- FUNCTION 71 ---- **/

        String MENU_07_SUBMENU_01_BUTTON = "//td[text()='Bezhotovostní převod']//ancestor::tbody//button[text()='Převod']";
        @Click(value = MENU_07_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction71();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN71Page EnterFunction71();

        /** ---- FUNCTION 72 ---- **/

        String MENU_07_SUBMENU_02_BUTTON = "//td[text()='Bezhotovostní převod']//ancestor::tbody//button[text()='Storno bezhotov.operací']";
        @Click(value = MENU_07_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction72();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN72Page EnterFunction72();

        /** ---- FUNCTION 73 ---- **/

        String MENU_07_SUBMENU_03_BUTTON = "//td[text()='Bezhotovostní převod']//ancestor::tbody//button[text()='Převod cash direct']";
        @Click(value = MENU_07_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction73();
        
        /** ---- FUNCTION 74 ---- **/

        String MENU_07_SUBMENU_04_BUTTON = "//td[text()='Bezhotovostní převod']//ancestor::tbody//button[text()='Převod bez klienta']";
        @Click(value = MENU_07_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction74();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN74Page EnterFunction74();

        /** ---- FUNCTION 75 ---- **/
        
        String MENU_07_SUBMENU_05_BUTTON = "//td[text()='Bezhotovostní převod']//ancestor::tbody//button[text()='Storno bezhotov. operací bez klienta']";
        @Click(value = MENU_07_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction75();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN75Page EnterFunction75();

/** ------------------------------------------------------------------------------------------------------------------------------------------- **/
        
    /** ---------------- SECTION 8 ---------------- **/
        
    String MENU_08_BUTTON = "//button[text()='Provozní operace']";
    @Click(value = MENU_08_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection8();
        
        /** ---- FUNCTION 81 ---- **/

        String MENU_08_SUBMENU_01_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Odvod pokladny']";
        @Click(value = MENU_08_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction81();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN81Page EnterFunction81();
        
        /** ---- FUNCTION 82 ---- **/

        String MENU_08_SUBMENU_02_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Odvod mezi pokladnami']";
        @Click(value = MENU_08_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction82();
        
        /** ---- FUNCTION 83 ---- **/

        String MENU_08_SUBMENU_03_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Dotace pokladny']";
        @Click(value = MENU_08_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction83();

        @Click(value = NEXT_BUTTON, by = Lookup.XPATH)
        KSN83Page EnterFunction83();

        /** ---- FUNCTION 84 ---- **/

        String MENU_08_SUBMENU_04_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Dotace mezi pokladnami']";
        @Click(value = MENU_08_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction84();
        
        /** ---- FUNCTION 85 ---- **/

        String MENU_08_SUBMENU_05_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Aktualizace VK']";
        @Click(value = MENU_08_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction85();
        
        /** ---- FUNCTION 86 ---- **/

        String MENU_08_SUBMENU_06_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Výměna hotovosti']";
        @Click(value = MENU_08_SUBMENU_06_BUTTON, by = Lookup.XPATH)
        KSN86Page KSNFunction86();

        /** ---- FUNCTION 87 ---- **/

        String MENU_08_SUBMENU_07_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Bilance hotovosti']";
        @Click(value = MENU_08_SUBMENU_07_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction87();
        
        /** ---- FUNCTION 88 ---- **/

        String MENU_08_SUBMENU_08_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Uzávěrka']";
        @Click(value = MENU_08_SUBMENU_08_BUTTON, by = Lookup.XPATH)
        KSN88Page KSNFunction88();
        
        /** ---- FUNCTION 89 ---- **/

        String MENU_08_SUBMENU_09_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Nedokončené transakce']";
        @Click(value = MENU_08_SUBMENU_09_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction89();
        
        /** ---- FUNCTION 8A ---- **/

        String MENU_08_SUBMENU_0A_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Aktivování spícího účtu']";
        @Click(value = MENU_08_SUBMENU_0A_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8A();
        
        /** ---- FUNCTION 8B ---- **/
    
        String MENU_08_SUBMENU_0B_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Potvrzení aktivace']";
        @Click(value = MENU_08_SUBMENU_0B_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8B();
        
        /** ---- FUNCTION 8C ---- **/

        String MENU_08_SUBMENU_0C_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Nulový poplatek za výběr na OM']";
        @Click(value = MENU_08_SUBMENU_0C_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8C();
        
        /** ---- FUNCTION 8H ---- **/

        String MENU_08_SUBMENU_0H_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Zobrazení účtu']";
        @Click(value = MENU_08_SUBMENU_0H_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8H();
        
        /** ---- FUNCTION 8I ---- **/

        String MENU_08_SUBMENU_0I_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Zobrazení nepoplatkových účtů']";
        @Click(value = MENU_08_SUBMENU_0I_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8I();
        
        /** ---- FUNCTION 8J ---- **/

        String MENU_08_SUBMENU_0J_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Zobrazení poplatkových plánů']";
        @Click(value = MENU_08_SUBMENU_0J_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8J();
        
        /** ---- FUNCTION 8K ---- **/

        String MENU_08_SUBMENU_0K_BUTTON = "//td[text()='Provozní operace']//ancestor::tbody//button[text()='Karta klienta']";
        @Click(value = MENU_08_SUBMENU_0K_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction8K();
        
/** ------------------------------------------------------------------------------------------------------------------------------------------- **/
        
    /** ---------------- SECTION 9 ---------------- **/
        
    String MENU_09_BUTTON = "//button[text()='Údržbové operace']";
    @Click(value = MENU_09_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection9();
    
        /** ---- FUNCTION 91 ---- **/

        String MENU_09_SUBMENU_01_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Start dne']";
        @Click(value = MENU_09_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction91();

        /** ---- FUNCTION 92 ---- **/

        String MENU_09_SUBMENU_02_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Dočasné odhlášení']";
        @Click(value = MENU_09_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction92();
        
        /** ---- FUNCTION 93 ---- **/

        String MENU_09_SUBMENU_03_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Trvalé odhlášení']";
        @Click(value = MENU_09_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction93();
        
        /** ---- FUNCTION 94 ---- **/

        String MENU_09_SUBMENU_04_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Celkový sumář OM']";
        @Click(value = MENU_09_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction94();
        
        /** ---- FUNCTION 95 ---- **/

        String MENU_09_SUBMENU_05_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Celkový sumář pokladny']";
        @Click(value = MENU_09_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction95();

        @Click(value = BTN_CONTINUE, by = Lookup.XPATH)
        KSN95Page enterFunction95();

        /** ---- FUNCTION 96 ---- **/

        String MENU_09_SUBMENU_06_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Žurnál']";
        @Click(value = MENU_09_SUBMENU_06_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction96();
        
        /** ---- FUNCTION 97 ---- **/

        String MENU_09_SUBMENU_07_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Archiv']";
        @Click(value = MENU_09_SUBMENU_07_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction97();
        
        /** ---- SUB SECTION 98 ---- **/

        String MENU_09_SUBMENU_08_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Původ/účel a vztah']";
        @Click(value = MENU_09_SUBMENU_08_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNSubSection98();
        
            /** ---- FUNCTION 981 ---- **/
        
            String MENU_09_SUBMENU_08_SUBMENU_01_BUTTON = "//button[text()='Okno - původ/účel a vztah']";
            @Click(value = MENU_09_SUBMENU_08_SUBMENU_01_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunction981();
            
            /** ---- FUNCTION 982 ---- **/
            
            String MENU_09_SUBMENU_08_SUBMENU_02_BUTTON = "//button[text()='Nastavení okna původ/účel a vztah']";
            @Click(value = MENU_09_SUBMENU_08_SUBMENU_02_BUTTON, by = Lookup.XPATH)
            KSNMainMenu KSNFunction982();

        /** ---- FUNCTION 99 ---- **/
            
        String MENU_09_SUBMENU_09_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Ověřované transakce']";
        @Click(value = MENU_09_SUBMENU_09_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction99();
        
/** ------------------------------------------------------------------------------------------------------------------------------------------- **/

    /** ---------------- SECTION 9 ---------------- **/

    String MENU_00_BUTTON = "//button[text()='Nastavení']";
    @Click(value = MENU_00_BUTTON, by = Lookup.XPATH)
    KSNMainMenu KSNSection0();
    
        /** ---- FUNCTION 01 ---- **/

        String MENU_00_SUBMENU_01_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Změna hesla pokladníka']";
        @Click(value = MENU_00_SUBMENU_01_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction01();
        
        /** ---- FUNCTION 02 ---- **/

        String MENU_00_SUBMENU_02_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Změna e-mailu']";
        @Click(value = MENU_00_SUBMENU_02_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction02();
        
        /** ---- FUNCTION 03 ---- **/

        String MENU_00_SUBMENU_03_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Celkový účetního datumu']";
        @Click(value = MENU_00_SUBMENU_03_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction03();
        
        /** ---- FUNCTION 04 ---- **/

        String MENU_00_SUBMENU_04_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Nastavení tiskárny']";
        @Click(value = MENU_00_SUBMENU_04_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction04();
        
        /** ---- FUNCTION 05 ---- **/

        String MENU_00_SUBMENU_05_BUTTON = "//td[text()='Údržbové operace']//ancestor::tbody//button[text()='Potvrzení uzávěrky - override flag']";
        @Click(value = MENU_00_SUBMENU_05_BUTTON, by = Lookup.XPATH)
        KSNMainMenu KSNFunction05();
        
}